View Issue Details

IDProjectCategoryView StatusLast Update
0025905mantisbtuipublic2019-09-07 12:07
Reportersyncguru Assigned Tosyncguru  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.21.2 
Target Version2.23.0Fixed in Version2.23.0 
Summary0025905: Inline actions user experience is inconsistent between different features
Description

In Mantis, inline actions are those small buttons or icons that show alongside username, tag, image ..etc. Attached are examples of how these look today in different product features.

The usage of button is an eye soar compared to the small inline icons that can enlarge/change color when hovered over. The proposal here is switch to using inline icons (no buttons) for this use case consistently everywhere. In addition, hover over effect could be added for a more pleasant user experience.

TagsNo tags attached.

Activities

syncguru

syncguru

2019-07-07 16:52

developer  

delete-tag.png (11,757 bytes)   
delete-tag.png (11,757 bytes)   
email-reporter.png (14,044 bytes)   
email-reporter.png (14,044 bytes)   
image-actions.png (17,173 bytes)   
image-actions.png (17,173 bytes)   
monitoring-action.png (22,365 bytes)   
monitoring-action.png (22,365 bytes)   
syncguru

syncguru

2019-08-20 00:36

developer   ~0062610

PR: https://github.com/mantisbt/mantisbt/pull/1545

Related Changesets

MantisBT: master c03afdce

2019-09-07 11:55:30

dregad

Details Diff
Improve UX & consistency for inline action icons

Fixes 0025905, PR https://github.com/mantisbt/mantisbt/pull/1545
Affected Issues
0025905
mod - bug_monitor_list_view_inc.php Diff File
mod - bug_report_page.php Diff File
mod - bug_view_inc.php Diff File
mod - bugnote_update.php Diff File
mod - bugnote_view_inc.php Diff File
mod - core/collapse_api.php Diff File
mod - core/prepare_api.php Diff File
mod - core/print_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - tests/Mantis/PrepareTest.php Diff File

Issue History

Date Modified Username Field Change
2019-07-07 16:52 syncguru New Issue
2019-07-07 16:52 syncguru Status new => assigned
2019-07-07 16:52 syncguru Assigned To => syncguru
2019-07-07 16:52 syncguru Tag Attached: modern-ui
2019-07-07 16:52 syncguru File Added: delete-tag.png
2019-07-07 16:52 syncguru File Added: email-reporter.png
2019-07-07 16:52 syncguru File Added: image-actions.png
2019-07-07 16:52 syncguru File Added: monitoring-action.png
2019-08-20 00:36 syncguru Note Added: 0062610
2019-08-25 13:21 vboctor Tag Detached: modern-ui
2019-09-07 11:58 dregad Changeset attached => MantisBT master c03afdce
2019-09-07 11:58 dregad Assigned To syncguru => dregad
2019-09-07 11:58 dregad Status assigned => resolved
2019-09-07 11:58 dregad Resolution open => fixed
2019-09-07 11:58 dregad Fixed in Version => 2.23.0
2019-09-07 12:07 dregad Assigned To dregad => syncguru
2019-09-07 12:07 dregad Severity minor => tweak
2019-09-07 12:07 dregad Target Version => 2.23.0